//
//  CPDFImagePropertyCell.m
//  compdfkit-tools
//
//  THIS SOURCE CODE AND ANY ACCOMPANYING DOCUMENTATION ARE PROTECTED BY INTERNATIONAL COPYRIGHT LAW
//  AND MAY NOT BE RESOLD OR REDISTRIBUTED. USAGE IS BOUND TO THE ComPDFKit LICENSE AGREEMENT.
//  UNAUTHORIZED REPRODUCTION OR DISTRIBUTION IS SUBJECT TO CIVIL AND CRIMINAL PENALTIES.
//

#import "CPDFImagePropertyCell.h"
#import "CPDFDropDownMenu.h"

@interface CPDFImagePropertyCell()

@property (weak, nonatomic) IBOutlet UIView *opacityView;
@property (nonatomic, strong) CPDFDropDownMenu * menu;
@property (weak, nonatomic) IBOutlet UISlider *transparencySlider;

@end

@implementation CPDFImagePropertyCell


+(instancetype)CPDFImagePropertyCell {
    NSBundle *bundle = [NSBundle bundleForClass:[self class]];
    return [[bundle loadNibNamed:@"CPDFImagePropertyCell" owner:nil options:nil] lastObject];
}



- (void)awakeFromNib {
    [super awakeFromNib];
    // Initialization code
    self.menu = [[CPDFDropDownMenu alloc] initWithFrame:self.opacityView.bounds];
    [self.opacityView addSubview:self.menu];
    
    self.menu.options = [[NSMutableArray alloc]initWithObjects:@"1.0",@"0.75",@"0.5",@"0.25",nil];
    self.menu.menuHeight = 200;
    
    self.transparencySlider.value = 0.;
}

- (void)setSelected:(BOOL)selected animated:(BOOL)animated {
    [super setSelected:selected animated:animated];

    // Configure the view for the selected state
}


#pragma mark - Action
- (IBAction)horizontalAction:(UIButton *)sender {
    sender.selected = !sender.selected;
}

- (IBAction)verticalAction:(UIButton *)sender{
    sender.selected = !sender.selected;
}

- (IBAction)replaceImageAction:(UIButton *)sender {
}

- (IBAction)importImageAction:(UIButton *)sender {
}

- (IBAction)cropImageAction:(UIButton *)sender {
}

- (IBAction)addImageAction:(UIButton *)sender {
}

- (IBAction)sliderAction:(UISlider *)sender {
    self.menu.defaultValue = [NSString stringWithFormat:@"%.2f",sender.value];
}



@end
